Bug 579322 - Review Request: perl-Log-Dispatchouli - Simple wrapper around Log::Dispatch
Summary: Review Request: perl-Log-Dispatchouli - Simple wrapper around Log::Dispatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Log-Dispa...
Whiteboard:
Depends On: 579070
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 08:02 UTC by Iain Arnell
Modified: 2010-05-03 16:05 UTC (History)
3 users (show)

Fixed In Version: perl-Log-Dispatchouli-1.100712-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-30 23:44:51 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-04-04 08:02:28 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Log-Dispatchouli.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Log-Dispatchouli-1.100712-1.fc14.src.rpm

Description:
Log::Dispatchouli is a thin layer above Log::Dispatch and meant to make it
dead simple to add logging to a program without having to think much about
categories, facilities, levels, or things like that. It is meant to make
logging just configurable enough that you can find the logs you want and
just easy enough that you will actually log things.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2093965

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-04-06 04:27:12 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2093965
+ rpmlint is silent for SRPM and for RPM.
perl-Log-Dispatchouli.noarch: I: checking-url http://search.cpan.org/dist/Log-Dispatchouli/ (timeout 10 seconds)
perl-Log-Dispatchouli.src: I: checking-url http://search.cpan.org/dist/Log-Dispatchouli/ (timeout 10 seconds)
perl-Log-Dispatchouli.src: I: checking-url http://www.cpan.org/authors/id/R/RJ/RJBS/Log-Dispatchouli-1.100712.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ source files match upstream url (sha1sum)
f634b060963f7b3551cb98a4cba9a104c65c4405  Log-Dispatchouli-1.100712.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=33,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.23 cusr  0.02 csys =  0.28 CPU)

+ Package perl-Log-Dispatchouli-1.100712-1.fc14.noarch =>
Provides: perl(Log::Dispatchouli) = 1.100712 perl(Log::Dispatchouli::Proxy) = 1.100712
Requires: perl(Carp) perl(Log::Dispatch) perl(Params::Util) perl(Scalar::Util) perl(strict) perl(String::Flogger) perl(Try::Tiny) >= 0.04 perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

APPROVED.

Comment 2 Iain Arnell 2010-04-06 05:16:52 UTC
New Package CVS Request
=======================
Package Name: perl-Log-Dispatchouli
Short Description: Simple wrapper around Log::Dispatch
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-08 02:45:31 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-04-08 03:20:31 UTC
Thanks for the review. 

Built in rawhide; waiting for perl-Log-Dispatch-Array on branches.

Comment 5 Fedora Update System 2010-04-20 15:03:05 UTC
perl-Log-Dispatchouli-1.100712-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Log-Dispatchouli-1.100712-1.fc13

Comment 6 Fedora Update System 2010-04-20 15:03:10 UTC
perl-Log-Dispatchouli-1.100712-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Log-Dispatchouli-1.100712-1.fc12

Comment 7 Fedora Update System 2010-04-21 21:52:45 UTC
perl-Log-Dispatchouli-1.100712-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatchouli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Log-Dispatchouli-1.100712-1.fc12

Comment 8 Fedora Update System 2010-04-21 22:01:51 UTC
perl-Log-Dispatchouli-1.100712-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatchouli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Log-Dispatchouli-1.100712-1.fc13

Comment 9 Fedora Update System 2010-04-30 23:44:47 UTC
perl-Log-Dispatchouli-1.100712-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-03 16:04:59 UTC
perl-Log-Dispatchouli-1.100712-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.